﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

/// <summary>
/// Summary description for QuoteProcessor
/// </summary>
public class QuoteProcessor
{
    public double getContentsQuote(ContentsDTO contentsDetails)
    {
        Boolean accidentalCover = contentsDetails.AccidentalCover;
        int cover = contentsDetails.CoverAmount;
        int deductible = contentsDetails.DeductibleAmount;
        double premium = cover * 0.004;
        if (accidentalCover)
        {
            premium *= 1.25;
        }
        if (deductible >= 1000)
        {
            premium -= (premium * 0.2);
        }
        else
        {
            if (deductible >= 500)
            {
                premium -= (premium * 0.1);
            }
        }
        return premium;
    }
}
